package com.xunhong.erp.turbo.api.user.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum AdminTypeEnum {
	/**
	 * 账号类型 1-超级管理员 2-子账号
	 */
	SUPER_ADMIN(1, "超级管理员"),
	SUB_ADMIN(2, "子账号");

	@EnumValue
	private final int type;

	private final String message;
}
